#
# spec file for package autofs (Version 4.1.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           autofs
BuildRequires:  nfs-utils openldap2-devel
Provides:       autofs4
Obsoletes:      autofs4
License:        GPL v2 or later
Group:          System/Daemons
AutoReqProv:    on
Requires:       sed grep
Version:        4.1.4
Release:        23.30.27
Summary:        A Kernel-Based Automounter
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.kernel.org/pub/linux/daemons/autofs/v4/autofs-%{version}.tar.bz2
Source1:        sysconfig.autofs
Source3:        autofs.schema
Source4:        README.SuSE.ldap
Source5:        README.SuSE
Source6:        README.NetworkManager
Patch1:         autofs-4.1.0-hesiod-bind.patch
Patch2:         autofs-4.1.0-auto-master.patch
Patch3:         autofs4-init.diff
Patch4:         autofsbuild.patch
Patch5:         autofsstrip.patch
Patch6:         autofs-4.1.3-uninit-vars.patch
Patch7:         autofs-4.1.3-optflags.patch
Patch8:         autofs-4.1.4-configureable-locking.patch
Patch9:         autofs4-net-multi.diff
Patch10:        autofs4-e2fsck-error-handling.diff
Patch11:        autofs4-nfs-retry.diff
Patch12:        autofs-maptype_compatibility.patch
Patch13:        autofs-unmount_lazy.patch
Patch14:        autofs-include_map.patch
Patch15:        autofs-localoptions.patch
# SP2
Patch16:        autofs-debuginfo.patch
Patch17:        autofs-4.1.4-reentrant_syslog.patch
Patch18:        autofs-4.1.4-syslog_missing.patch
#
Patch19:        autofs-4.1.4-no-unlink-upstream.patch
Patch20:        autofs-4.1.4-maptypes_fixup.patch
Patch21:        autofs-4.1.4-init_fuser_only_existing_dirs.patch
Patch22:        autofs-4.1.4-cache_clean_fix_race.patch
# SP3
Patch23:        autofs-4.1.4-ignore_duplicate_mount_points.patch
# SP4
Patch24:        autofs4-init-nis-map.patch
PreReq:         %fillup_prereq %insserv_prereq
PreReq:         /usr/bin/sed /usr/bin/grep /bin/mv

%description
Autofs is a kernel-based automounter for Linux.  It is still under
development, although the features currently implemented seem to work
well.  There is nowhere near enough documentation available yet. Help
in getting some written would be appreciated. This package replaces the
amd package.



Authors:
--------
    H. Peter Anvin <hpa@transmeta.com>

%prep
%setup -n autofs-%{PACKAGE_VERSION}
cp %{SOURCE3} .
cp %{SOURCE4} .
cp %{SOURCE5} .
cp %{SOURCE6} .
%patch1 -p1 -b .hesiod-bind
%patch2 -p1 -b .auto-master
%patch3
%patch4 -p1
%patch5 -p1
%patch6
%patch7
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24

%build
autoconf
./configure --libdir=%{_libdir} --mandir=%{_mandir} %{_target_cpu}-suse-linux \
            --disable-mount-locking
make all STRIP=: OPTFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib/autofs
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/autofs
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man5,man8}
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
make install INSTALLROOT=$RPM_BUILD_ROOT
make install_samples INSTALLROOT=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/autofs/*.so
install -m 744 samples/rc.autofs  $RPM_BUILD_ROOT/etc/init.d/autofs
ln -s ../../etc/init.d/autofs $RPM_BUILD_ROOT/usr/sbin/rcautofs
install -m 644 %{S:1} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.autofs
SHOWMOUNT=/usr/sbin/showmount
test -x /usr/sbin/kshowmount && SHOWMOUNT=/usr/sbin/kshowmount
install -m 755 $SHOWMOUNT $RPM_BUILD_ROOT/usr/lib/autofs/showmount
rm -f $RPM_BUILD_ROOT/etc/auto.net.old
rm -f $RPM_BUILD_ROOT/etc/auto.smb.old
# workaround for x86_64 - mv executable autofs-ldap-auto-master from /usr/lib64/autofs to /usr/lib/autofs
test %{_libdir} = "/usr/lib64" && test -f %{buildroot}/%{_libdir}/autofs/autofs-ldap-auto-master && mv %{buildroot}/%{_libdir}/autofs/autofs-ldap-auto-master %{buildroot}/usr/lib/autofs/autofs-ldap-auto-master

%clean
rm -rf %{buildroot}

%post
if /sbin/chkconfig -c autofs4 3 || /sbin/chkconfig -c autofs 3; then
	%{insserv_force_if_yast autofs}
fi
%{fillup_only -n autofs}

%postun
%{insserv_cleanup}

%files
%defattr (-, root, root)
/var/adm/fillup-templates/sysconfig.autofs
%config(noreplace) /etc/auto.master
%config(noreplace) /etc/auto.misc
%config(noreplace) /etc/auto.net
%config(noreplace) /etc/auto.smb
%config /etc/init.d/autofs
/usr/sbin/rcautofs
%doc COPYING COPYRIGHT README README.changer README.options README.smbfs
%doc autofs.schema README.SuSE.ldap README.SuSE README.NetworkManager
%{_libdir}/autofs/
%if "%_libdir" == "/usr/lib64"
/usr/lib/autofs
%endif
%{_mandir}/man5/*
%{_mandir}/man8/*
/usr/sbin/automount

%changelog
* Mon Aug 30 2010 mszeredi@suse.cz
- fix reading NIS maps with syntax <maptype>:<mapname> [bnc#541741]
* Mon May 25 2009 hvogel@suse.de
- ignore duplicate mount points [bnc#446301]
- parse localoptions in getmounts_ldap [bnc#417051]
* Mon Jun 30 2008 mkoenig@suse.de
- add extra check to avoid deleting files on expire [bnc#368844]
- fix support for non-file maps [bnc#377681]
- avoid fuser error messages [bnc#381826]
- avoid delay if there are many mounts [bnc#391404]
* Mon Dec 17 2007 mkoenig@suse.de
- build debuginfo packages [#333946]
- fix deadlock triggered by non-reentrant syslog [#304296]
* Thu Nov  8 2007 mkoenig@suse.de
- support for standard maptype separator in auto.master [#275257]
- map inclusion and LOCAL_OPTIONS [#206697,#263844]
- prevent problems with busy mounts by lazy unmouting
  [#247865,#263965]
* Thu Sep  7 2006 jeffm@suse.com
- Fixed nfs mount connect retry fallback (195924)
* Thu Sep  7 2006 jeffm@suse.com
- Fixed e2fsck error handling (196057)
* Thu Sep  7 2006 jeffm@suse.com
- Added -multi option to enable consistent mount
  behavior when using auto.net (118902)
* Fri Sep  1 2006 jeffm@suse.com
- Integrated configurable NIS auto.master map name patch (63286)
* Thu Aug 31 2006 jeffm@suse.com
- Fixed forced expiry handling (SIGHUP vs SIGUSR1) (177068)
* Tue Aug 29 2006 jeffm@suse.com
- Fixed --timeout=<num> handling (117672)
* Wed Aug 23 2006 jeffm@suse.com
- Added configurable locking patch (178308)
* Wed May 17 2006 seife@suse.de
- Add README.NetworkManager [#175935]
* Tue Feb 28 2006 cthiel@suse.de
- fix post script
* Wed Feb  1 2006 rhafer@suse.de
- Support for ':' in ldap mapentries [#117297]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 23 2005 varkoly@suse.de
- Add -fno-strict-aliasing to the CFLAGS
* Mon Nov 14 2005 varkoly@suse.de
- Bugfix: bad example ldif.
* Mon Sep 26 2005 ro@suse.de
- added LDAP_DEPRECATED to compile flags
* Thu Sep  1 2005 choeger@suse.de
- Bugfix ID#112779 - autofs uses /etc/openldap/ldap.conf instead of
  /etc/ldap.conf
* Thu Aug 25 2005 kukuk@suse.de
- Add ldap to Should-Start [#112984]
* Thu Aug 11 2005 mmj@suse.de
- make sure autofs is enabled after an update [#102944]
- don't support upgrading from <= SuSE Linux 7.3 anymore
* Sat Jul 23 2005 trenn@suse.de
- move /usr/lib64/autofs/autofs-ldap-auto-master to /usr/lib/autofs
  on x86_64 systems
* Fri Jun 17 2005 kukuk@suse.de
- Rename from autofs4 to autofs
* Tue Jun 14 2005 kukuk@suse.de
- Remove broken "singnal-race" patch [#90521]
* Mon May 23 2005 ro@suse.de
- update to 4.1.4, remove upstream patches
* Sun May 15 2005 aj@suse.de
- Initialize variables.
* Wed Apr 27 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Thu Apr  7 2005 kukuk@suse.de
- Remove autofs-4.1.0-loop.patch, it is wrong.
* Fri Mar  4 2005 arvin@suse.de
- use our good old init script (bug #67311)
* Fri Mar  4 2005 arvin@suse.de
- fixed syntax of sysconfig.autofs (bug #70883)
* Fri Feb 25 2005 mmj@suse.de
- LSB says return value for not running service is 7 [#65817]
* Thu Dec  9 2004 ihno@suse.de
- Update to version 4.1.3 plus patches
* Tue Jun 22 2004 ro@suse.de
- remove nfslock dependency from startscript
* Mon Apr 19 2004 arvin@suse.de
- make AutoBuild happy
* Fri Oct 31 2003 arvin@suse.de
- build rpm as non-root user
* Fri Oct 24 2003 arvin@suse.de
- updated to version 4.0.0
* Wed Oct 22 2003 arvin@suse.de
- fixed truncation of LDAP search DN after whitespace (bug #31847)
* Mon Aug 18 2003 arvin@suse.de
- added activation metadata (bug #28838)
* Mon Jul 28 2003 arvin@suse.de
- added documentation about syntax of auto.master file
* Wed Apr 23 2003 arvin@suse.de
- adapted option for sort in auto.net to new coreutils
* Mon Apr 14 2003 arvin@suse.de
- faster shutdown of service autofs (bug #25790)
* Fri Apr 11 2003 arvin@suse.de
- fixed handling of certain yp maps (bug #26274)
* Wed Feb  5 2003 arvin@suse.de
- set syslogmask back to not include debug messages
* Tue Jan 21 2003 mc@suse.de
- add a patch to support ldap v3
* Mon Jan 20 2003 arvin@suse.de
- strip autofs-ldap-auto-master tool
* Mon Jan 20 2003 mc@suse.de
- add better ldap support
- add ldap schema patch to support the nis schema with ldap
- add the Linux autofs.schema
- add a README about autofs and ldap
* Thu Dec 19 2002 arvin@suse.de
- added sysconfig metadata (bug #22615)
- better description in start script for runlevel editor
  (bug #21894)
- nicer output of init script
- start: check if daemon runs and export skipped if not configured
* Mon Sep  2 2002 arvin@suse.de
- remove lock file during stop even if no daemon is running
  (bug #18699)
* Tue Aug 27 2002 arvin@suse.de
- commented auto.misc entry in auto.master (bug #18434)
* Mon Aug 26 2002 arvin@suse.de
- include special dirs in package
* Fri Aug 23 2002 arvin@suse.de
- honor RPM_OPT_FLAGS
- moved plugins to %%{_libdir}/autofs
* Wed Aug  7 2002 ro@suse.de
- added Should-Start nfslock in rcscript (#17425)
* Thu Aug  1 2002 arvin@suse.de
- added requires and prerequires
* Mon Jul 22 2002 sf@suse.de
- updated auto_fs.h to actual version of kernel
* Thu Jul 18 2002 arvin@suse.de
- moved ypbind and keyserv to Should-Start in init script
  (bug #17064)
* Mon Feb 25 2002 arvin@suse.de
- added option expire to init script (unmount all currently
  not used mounts)
* Sun Feb 17 2002 arvin@suse.de
- fixed start/stop message
* Fri Feb 15 2002 arvin@suse.de
- simplify remove_and_set call
* Fri Feb 15 2002 arvin@suse.de
- better examples in /etc/auto.misc
* Fri Feb  1 2002 arvin@suse.de
- fixed restart and force-reload to stop and start the service
  (bug #13019)
* Wed Jan 23 2002 arvin@suse.de
- don't use default value of yes for removal of USE_NIS_FOR_AUTOFS
* Sat Jan 19 2002 arvin@suse.de
- read mount types to query from /etc/nsswitch.conf
* Wed Jan 16 2002 arvin@suse.de
- compile ldap lookup
* Wed Dec 12 2001 ro@suse.de
- moved rc.config.d -> sysconfig
* Mon Dec  3 2001 arvin@suse.de
- source /etc/rc.status in init script
* Fri Nov 23 2001 ro@suse.de
- correct (and simplify) insserv macro call
* Wed Nov 21 2001 arvin@suse.de
- removed rc-variable START_AUTOFS
* Sat Nov 17 2001 arvin@suse.de
- Added keyserv to Required-Start (bug #12233)
* Thu Sep  6 2001 kukuk@suse.de
- Use $network, $syslog and add $remote_fs [Bug #9908]
* Wed Sep  5 2001 bjacke@suse.de
- correct name of autosf.rc.config
* Fri Aug 31 2001 arvin@suse.de
- ignore direct maps (bug #9978)
* Mon Jul 30 2001 arvin@suse.de
- read /etc/rc.config.d/autofs.rc.config in init script
* Mon Jul 30 2001 arvin@suse.de
- create /etc/rc.config.d/autofs.rc.config (bug #9471)
* Mon Jul 23 2001 arvin@suse.de
- LSB compliant init script (bug #8973)
- files and executable maps for nis and nisplus (bug #8984)
* Wed May 16 2001 arvin@suse.de
- fixed compile warnings on ia64
* Mon Apr 30 2001 arvin@suse.de
- unset PS_PERSONALITY and CMD_ENV in init script (fix for
  bug #7436)
* Sun Apr 22 2001 arvin@suse.de
- update to autofs 4.0.0pre10
* Wed Apr 18 2001 arvin@suse.de
- increased blocksize to 8k in auto.net
* Tue Apr 17 2001 arvin@suse.de
- remove old provides
* Tue Apr 17 2001 arvin@suse.de
- renamed package to autofs4 (no provides or obsoletes, since
  autofs version 3 will be used by default)
* Mon Apr  9 2001 arvin@suse.de
- fixed restart function in init script
* Fri Mar  9 2001 arvin@suse.de
- added note in /etc/auto.master (bug #6660)
- use test -x instead of test -e in init script
* Thu Mar  1 2001 ro@suse.de
- fixed neededforbuild
* Tue Feb 13 2001 arvin@suse.de
- fixed killing of processes using autofs during shutdown
* Fri Jan 12 2001 arvin@suse.de
- changed start point in init script (fix for bug #5622)
* Tue Jan  2 2001 arvin@suse.de
- clear mountoptions in loop for reading auto.master in init script
* Tue Nov 28 2000 arvin@suse.de
- kill processes using automounted filesystems when going
  into runlevel 0 or 6
* Mon Nov 27 2000 arvin@suse.de
- moved init script from /sbin/init.d to /etc/init.d
* Wed Nov 22 2000 arvin@suse.de
- use insserv in post-install for creating init.d scripts
- fixed parsing of "--timeout" option in /etc/auto.master,
  partly fix for bug #4356
* Wed Nov  8 2000 arvin@suse.de
- turned off debug messages to syslogd
* Thu Nov  2 2000 arvin@suse.de
- added option nonstrict in auto.net
* Thu Nov  2 2000 arvin@suse.de
- new version 4.0.0pre9
* Tue Oct 24 2000 arvin@suse.de
- new version 4.0.0pre8
* Tue Oct 24 2000 bk@suse.de
- remove the annoying dequote debug message(filled the logs without errors)
* Mon Oct 16 2000 ro@suse.de
- showmount does no longer have the k-prefix
* Fri Oct  6 2000 schwab@suse.de
- Avoid OPEN_MAX.
* Wed Sep 27 2000 arvin@suse.de
- even more improved auto.net
* Tue Sep 26 2000 arvin@suse.de
- improved auto.net
- changed to bz2 source archive
* Thu Sep 21 2000 arvin@suse.de
- fixed rcautofs (some lines in status were truncated)
* Tue Sep 19 2000 arvin@suse.de
- fixed bug #3842 (wrong option to mount; was actually random data)
* Tue Aug 22 2000 ro@suse.de
- changed neededforbuild: knfsd -> nfsutils
* Thu Jul  6 2000 kukuk@suse.de
- Fix path to showmount in /etc/auto.net
* Mon May  8 2000 rolf@suse.de
- new version 4.0.0pre7
- fix bug in rcautofs [BUG#2737]
* Sat Feb 26 2000 kukuk@suse.de
- Add patch from beta list for multiple entries
* Tue Feb 15 2000 kukuk@suse.de
- Include own showmount
- Update to autofs 4.0.0pre6
* Sun Jan 30 2000 kukuk@suse.de
- Update to autofs 4.0.0pre2
- Add rc.config variable for autofs options (like --timeout)
- Add NIS+ support to /sbin/init.d/autofs
- Mark /etc/auto.* files as %%config(noreplace)
- Add /etc/auto.net (needs new autofs kernel module)
* Fri Nov  5 1999 rolf@suse.de
- added flag to switch NIS usage for maps [BUG#1074]
* Mon Oct 25 1999 ro@suse.de
- specfile-fix: no need for %%dir /usr/lib/autofs, if that whole tree
  is packed
* Mon Oct 25 1999 rolf@suse.de
- status now tells whether process is running [BUG#732]
* Sat Oct 23 1999 kukuk@suse.de
- Fix problems with new samba 2.0.x versions [BUG#361]
- Fix typos and loop problem
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 22 1999 kukuk@suse.de
- added lookup_nisplus.so, mount_autofs.so, mount_ext2.so
* Wed Dec  9 1998 rolf@suse.de
- added /usr/sbin/rcautofs
* Fri Nov 27 1998 rolf@suse.de
- mount timeout added in init script
* Tue Nov 24 1998 rolf@suse.de
- new version 3.1.3
- modified init script
- unset localoptions
* Sat Sep 19 1998 ro@suse.de
- define _GNU_SOURCE where getopt_long is used
* Fri Apr 17 1998 rolf@suse.de
- set localoptions to rsize=8192,wsize=8192
  cleaned up /etc/auto.misc
* Mon Apr  6 1998 ro@suse.de
- update to 3.1.0
* Mon Mar  2 1998 ro@suse.de
- marked startscript and files in etc as config
* Mon Feb  9 1998 rolf@suse.de
- fixed startup script in /sbin/init.d/ for restart
* Wed Nov 12 1997 rolf@suse.de
- minor big fix
* Thu Oct 16 1997 rolf@suse.de
- new version autofs-0.3.14
* Thu Sep 11 1997 rolf@suse.de
- made package from autofs-0.3.9
